<div class="well well-lg registration">
    <div class="row">
        <div class="col-sm-offset-3 col-sm-4">
            <form class="form-horizontal" [formGroup]="resetForm" (ngSubmit)="onSubmit()">
                <div class="text-center">
                    <h2>{{ 'reset-password.reset-password' | translate }}</h2>
                    <p>{{ 'reset-password.reset-code-message' | translate }}</p>
                    <div *ngIf="error">
                        <div class="invalid-feedback">
                            <div>{{ 'reset-password.reset-code-error' | translate }}</div>
                        </div>
                    </div>
                </div>

                <br>
                <div class="form-group">
                    <label class="control-label " for="email">{{ 'register.phone-number' | translate }}:</label>
                    <div class="">
                        <input type="text" class="form-control" formControlName="phone" placeholder="61 234 567"
                            [value]="phone">
                        <div *ngIf="submitted && f.phone.errors" class="invalid-feedback" required>
                            <div *ngIf="f.phone.errors.pattern">{{ 'header.numbers-only' | translate }}</div>
                            <div *ngIf="f.phone.errors.required">{{ 'header.required' | translate }}</div>
                            <div *ngIf="f.phone.errors.minlength">{{ 'header.phone-number-error' | translate }}</div>
                            <div *ngIf="f.phone.errors.maxlength">{{ 'header.phone-number-error' | translate }}</div>
                        </div>
                    </div>
                </div>

                <div class="form-group">
                    <label class="control-label "
                        for="reg-code">{{ 'reset-password.reset-code' | translate }}:</label>
                    <div class="">
                        <input type="text" class="form-control" formControlName="resetCode" placeholder="123456"
                            [ngClass]="{ 'is-invalid' : submitted && f.resetCode.errors }">
                        <div *ngIf="submitted && f.resetCode.errors" class="invalid-feedback" required>
                            <div *ngIf="f.resetCode.errors.pattern">{{ 'header.numbers-only' | translate }}</div>
                            <div *ngIf="f.resetCode.errors.required">{{ 'header.required' | translate }}</div>
                            <div *ngIf="f.resetCode.errors.minlength">
                                {{ 'reset-password.reset-code-num-error' | translate }}
                            </div>
                            <div *ngIf="f.resetCode.errors.maxlength">
                                {{ 'reset-password.reset-code-num-error' | translate }}
                            </div>
                        </div>
                    </div>
                </div>

                <div class="form-group">
                    <label class="control-label" for="pwd">{{ 'reset-password.new-password' | translate }}:</label>
                    <div class="">
                        <input type="password" class="form-control" formControlName="password"
                            [ngClass]="{ 'is-invalid' : submitted && f.password.errors }" maxlength="6">
                        <div *ngIf="submitted && f.password.errors" class="invalid-feedback" required>
                            <div *ngIf="f.password.errors.required">{{ 'header.required' | translate }}</div>
                            <!-- <div *ngIf="f.password.errors.pattern">{{ 'header.numbers-only' | translate }}</div> -->
                            <div *ngIf="f.password.errors.minlength">{{ 'header.password-error-less' | translate }}
                            </div>
                            <div *ngIf="f.password.errors.maxlength">{{ 'header.password-error-more' | translate }}
                            </div>
                        </div>
                    </div>
                </div>

                <div class="form-group">
                    <label class="control-label " for="pwd">{{ 'register.password-confirm' | translate }}:</label>
                    <div class="">
                        <input type="password" class="form-control" formControlName="confirmPassword"
                            [ngClass]="{ 'is-invalid' : submitted && f.confirmPassword.errors }" maxlength="6">
                        <div *ngIf="submitted && f.confirmPassword.errors" class="invalid-feedback" required>
                            <div *ngIf="f.confirmPassword.errors.required">{{ 'header.required' | translate }}</div>
                            <!-- <div *ngIf="f.confirmPassword.errors.pattern">{{ 'header.numbers-only' | translate }}</div> -->
                            <div *ngIf="f.confirmPassword.errors.minlength">
                                {{ 'header.password-error-less' | translate }}</div>
                            <div *ngIf="f.confirmPassword.errors.maxlength">
                                {{ 'header.password-error-more' | translate }}</div>
                            <div *ngIf="f.confirmPassword.errors.mustMatch">
                                {{ 'reset-password.change-password-error' | translate }}</div>
                        </div>
                    </div>
                </div>

                <div class="form-group">
                    
                        <button type="submit"
                            class="btn btn-default">{{ 'reset-password.change-password' | translate }}</button>
                    
                </div>
            </form>
        </div>
    </div>


</div>